<!-- index.html -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Randomness Simulation</title>
    <link rel="stylesheet" href="styles.css">
    <style>
        .slider-container {
            display: flex;
            justify-content: space-around;
            margin-top: 20px;
        }

        .slider-label {
            margin-right: 10px;
        }

        .bar {
            height: 20px;
            width: 100%;
            background-color: rgb(11, 138, 224);
        }

    </style>
</head>
<body>
    <div class="slider-container">
        <label class="slider-label">Number of Systems (M): <span id="systemValue">2</span></label>
        <input type="range" id="systemSlider" min="2" max="100" value="2">
        <br>
        <label class="slider-label">Number of Subintervals (N): <span id="subintervalValue">1000</span></label>
        <input type="range" id="subintervalSlider" min="10" max="1000" value="1000">
        <br>
        <label class="slider-label">Lambda (λ): <span id="lambdaValue">100</span></label>
        <input type="range" id="lambdaSlider" min="1" max="1000" step="1" value="100">
    </div>

    <div class="bar"></div>

    <canvas id="myCanvas" width="1920" height="1040"></canvas>


    <script type="module">
    import { updateChart } from './script.mjs';

    const systemSlider = document.getElementById('systemSlider');
    const subintervalSlider = document.getElementById('subintervalSlider');
    const lambdaSlider = document.getElementById('lambdaSlider');

    systemSlider.addEventListener('input', () => {
        systemValue.textContent = systemSlider.value;
        updateChart();
    });

    subintervalSlider.addEventListener('input', () => {
        subintervalValue.textContent = subintervalSlider.value;
        updateChart();
    });

    lambdaSlider.addEventListener('input', () => {
        lambdaValue.textContent = lambdaSlider.value;
        updateChart();
    });
    </script>

    <script type="module" src="script.mjs"></script>
</body> 
</html>


